diff --git a/src/include/catalog/pg_proc.h b/src/include/catalog/pg_proc.h
index 7b77eea..0f2990f 100644
--- a/src/include/catalog/pg_proc.h
+++ b/src/include/catalog/pg_proc.h
@@ -60,6 +60,9 @@ CATALOG(pg_proc,1255) BKI_BOOTSTRAP BKI_ROWTYPE_OID(81) BKI_SCHEMA_MACRO
 	/* is it a window function? */
 	bool		proiswindow BKI_DEFAULT(f);
 
+	/* kind of function: n = normal, a = agg, w = window */
+	char		prokind BKI_DEFAULT(n);
+
 	/* security definer */
 	bool		prosecdef BKI_DEFAULT(f);
 
